# Get task fields

Endpoint: GET /api/v1/tasks/{task_id}/fields
Version: 0.0.1
Security: user_session, form_session, component_session, component_token, api_token

## Path parameters:

  - `task_id` (string, required)
    Task Identifier

## Query parameters:

  - `include_sensitive_info` (string)
    Enum: "true", "false", "True", "False"

## Response 200 fields (application/json):

  - `fields` (array, required)

  - `fields.type` (string, required)

  - `fields.path` (string, required)

  - `fields.label` (object, required)

  - `fields.label.en` (any, required)
    Label for the field, in english (if available)

  - `fields.value` (any, required)
    The value of the field

## Response 400 fields (application/json):

  - `issues` (array, required)

  - `issues._tag` (string, required)
    The tag identifying the type of parse issue
    Enum: "Pointer", "Unexpected", "Missing", "Composite", "Refinement", "Transformation", "Type", "Forbidden"

  - `issues.path` (array, required)
    The path to the property where the issue occurred

  - `issues.message` (string, required)
    A descriptive message explaining the issue

  - `message` (string, required)

  - `_tag` (string, required)
    Enum: "HttpApiDecodeError"

## Response 401 fields (application/json):

  - `message` (string, required)

  - `_tag` (string, required)
    Enum: "Unauthorized"

## Response 403 fields (application/json):

  - `message` (string, required)

  - `_tag` (string, required)
    Enum: "Forbidden"

## Response 404 fields (application/json):

  - `message` (string, required)

  - `_tag` (string, required)
    Enum: "ResourceNotFoundError"


